aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Gael Guennebaud <g.gael@free.fr>2016-12-06 16:46:52 +0100
committerGravatar Gael Guennebaud <g.gael@free.fr>2016-12-06 16:46:52 +0100
commitf2c506b03d881f77d2d8ab23dc5804fe08c26cda (patch)
treedede1e85e7fdc2355a5068b361919076fe91b559 /scripts
parent1b4e085a7f437157a701f32047b60525567c6357 (diff)
Add a script example to run and upload performance tests
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/eigen_monitor_perf.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/eigen_monitor_perf.sh b/scripts/eigen_monitor_perf.sh
new file mode 100755
index 000000000..27aa48421
--- /dev/null
+++ b/scripts/eigen_monitor_perf.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# This is a script example to automatically update and upload performance unit tests.
+# The following five variables must be adjusted to match your settings.
+
+USER='ggael'
+UPLOAD_DIR=perf_monitoring/ggaelmacbook26
+EIGEN_SOURCE_PATH=$HOME/Eigen/eigen
+export PREFIX="haswell-fma-"
+export CXX_FLAGS="-mfma"
+
+$EIGEN_SOURCE_PATH/bench/perf_monitoring/gemm/runall.sh $*
+
+# (the '/' at the end of path is very important, see rsync documentation)
+rsync -az --no-p --delete $EIGEN_SOURCE_PATH/bench/perf_monitoring/gemm/haswell-fma-*.png $USER@ssh.tuxfamily.org:eigen/eigen.tuxfamily.org-web/htdocs/$UPLOAD_DIR/ || { echo "upload failed"; exit 1; }
+
+# fix the perm
+ssh $USER@ssh.tuxfamily.org "chmod -R g+w /home/eigen/eigen.tuxfamily.org-web/htdocs/perf_monitoring" || { echo "perm failed"; exit 1; }